org.apache.ignite.internal.processors.platform.messaging

## Class PlatformMessaging

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformAbstractTarget
  - - org.apache.ignite.internal.processors.platform.messaging.PlatformMessaging

All Implemented Interfaces:
  PlatformTarget

    public class PlatformMessaging
    extends PlatformAbstractTarget

Interop messaging.

### Field Summary

Fields
`static int` `OP_LOC_LISTEN`
`static int` `OP_REMOTE_LISTEN`
`static int` `OP_REMOTE_LISTEN_ASYNC`
`static int` `OP_SEND`
`static int` `OP_SEND_MULTI`
`static int` `OP_SEND_ORDERED`
`static int` `OP_STOP_LOC_LISTEN`
`static int` `OP_STOP_REMOTE_LISTEN`
`static int` `OP_STOP_REMOTE_LISTEN_ASYNC`
`static int` `OP_WITH_ASYNC`

### Fields inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`ERROR, FALSE, log, platformCtx, TRUE`

### Constructor Summary

Constructors
Constructor and Description
`PlatformMessaging(PlatformContext platformCtx, IgniteMessaging messaging)` Ctor.

### Method Summary

Methods
`protected IgniteInternalFuture` `currentFuture()` When overridden in a derived class, gets future for the current operation.
`protected long` `processInStreamOutLong(int type, BinaryRawReaderEx reader)` Process IN operation.
`protected void` `processInStreamOutStream(int type, BinaryRawReaderEx reader, BinaryRawWriterEx writer)` Process IN-OUT operation.
`protected Object` `processOutObject(int type)` Process OUT operation.

### Methods inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`convertException, futureWriter, inLongOutLong, inObjectStreamOutObjectStream, inStreamOutLong, inStreamOutObject, inStreamOutStream, listenFuture, listenFutureForOperation, outObject, outStream, platformContext, processInLongOutLong, processInObjectStreamOutObjectStream, processInStreamOutLong, processInStreamOutObject, processOutStream, readAndListenFuture, readAndListenFuture, readAndListenFuture, readAndListenFuture, readAndListenFuture, throwUnsupported`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OP_LOC_LISTEN

    public static final int OP_LOC_LISTEN

See Also:
  Constant Field Values

#### OP_REMOTE_LISTEN

    public static final int OP_REMOTE_LISTEN

See Also:
  Constant Field Values

#### OP_SEND

    public static final int OP_SEND

See Also:
  Constant Field Values

#### OP_SEND_MULTI

    public static final int OP_SEND_MULTI

See Also:
  Constant Field Values

#### OP_SEND_ORDERED

    public static final int OP_SEND_ORDERED

See Also:
  Constant Field Values

#### OP_STOP_LOC_LISTEN

    public static final int OP_STOP_LOC_LISTEN

See Also:
  Constant Field Values

#### OP_STOP_REMOTE_LISTEN

    public static final int OP_STOP_REMOTE_LISTEN

See Also:
  Constant Field Values

#### OP_WITH_ASYNC

    public static final int OP_WITH_ASYNC

See Also:
  Constant Field Values

#### OP_REMOTE_LISTEN_ASYNC

    public static final int OP_REMOTE_LISTEN_ASYNC

See Also:
  Constant Field Values

#### OP_STOP_REMOTE_LISTEN_ASYNC

    public static final int OP_STOP_REMOTE_LISTEN_ASYNC

See Also:
  Constant Field Values

### Constructor Detail

#### PlatformMessaging

    public PlatformMessaging(PlatformContext platformCtx,
                     IgniteMessaging messaging)

Ctor.

Parameters:
  `platformCtx` - Context.
  `messaging` - Ignite messaging.

### Method Detail

#### processInStreamOutLong

    protected long processInStreamOutLong(int type,
                              BinaryRawReaderEx reader)
                                   throws IgniteCheckedException

Process IN operation.

Overrides:
  `processInStreamOutLong` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `reader` - Binary reader.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInStreamOutStream

    protected void processInStreamOutStream(int type,
                                BinaryRawReaderEx reader,
                                BinaryRawWriterEx writer)
                                     throws IgniteCheckedException

Process IN-OUT operation.

Overrides:
  `processInStreamOutStream` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `reader` - Binary reader.
  `writer` - Binary writer.
Throws:
  `IgniteCheckedException` - In case of exception.

#### currentFuture

    protected IgniteInternalFuture currentFuture()
                                          throws IgniteCheckedException

When overridden in a derived class, gets future for the current operation.

Overrides:
  `currentFuture` in class `PlatformAbstractTarget`
Returns:
  current future.
Throws:
  `IgniteCheckedException` - If failed.

#### processOutObject

    protected Object processOutObject(int type)
                               throws IgniteCheckedException

Process OUT operation.

Overrides:
  `processOutObject` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
Throws:
  `IgniteCheckedException` - In case of exception.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016